const PlcConnSettingsFields = {
    1: { name:'S7Connection',
        childs:{
            1: {name:'Base', childs: {
                    1: {name:'Base', childs:{
                            1: {name:'Timeout'},
                            2: {name:'PasswordAvailable'},
                            3: {name:'Password'},
                            4: {name: 'IsVirtualController'}
                        }},
                    2: {name:'IPAddress'},
                    3: {name:'PortNumber'},
                }},
            2: {name:'RackNumber'},
            3: {name:'SlotNumber'},
            4: {name:'ReadDBBlocks'}
        }},
    2: { name:'S7ConnectionsArray'}
};

const PlcNetworkId = { name:'NetworkId', childs:{ 1: {name:'NetId'}}};

const PlcConfigFields = {
    1: PlcNetworkId,
    2: { name:'ControllerType'},
    3: { name:'Description'},
    4: { name:'ConnectionSettings', childs:PlcConnSettingsFields},
    5: { name:'InternalNetworkId',childs:{ 1: {name:'InternalNetworkId'}}},
};

const PlcInvestigateResult = {
    1: { name:'Result', childs:{ 1: PlcNetworkId, 2: {name:'Error'}} },
    2: { name:'Firmware', childs : {
        1: { name:'FirmwareValue'},
        2: { name:'Info'},
        3: { name:'Created'}
        }},
    3: { name:'Duration'},
};

const PLCInvestigateResultDT = {
    1: { name:'PLCConfig', childs: PlcConfigFields},
    2: { name:'PLCResult',childs:PlcInvestigateResult},
    3: { name:'Description' },
};

module.exports = {
    PLCInvestigateResultDT
}
