const lo = require('lodash');
const hlpSch = require('./TaskScheduleHelper.js')

//const formValues = ['CollectInfoAboutOfflineDevices','UseHostInfoInFileName','ExportGeneratedRulesToFile']

function toView (TASK_ADDITIONAL_PARAMS, formType) {
    if(formType === 'Schedule' ) {
        return hlpSch.toView(TASK_ADDITIONAL_PARAMS.Schedule)
    }

    if(formType === 'Main' ) {
        const sett = TASK_ADDITIONAL_PARAMS.Settings;
        return {
            Form_DeviceRuleGenerator_Common: {
                CollectInfoAboutOfflineDevices: sett.CollectInfoAboutOfflineDevices,
                UseHostInfoInFileName: sett.UseHostInfoInFileName,
                ExportGeneratedRulesToFile: sett.ExportGeneratedRulesToFile,
                GroupTask: true
            }
        };
    }
    return {};
}

function toRaw (TASK_ADDITIONAL_PARAMS, changedData, formType) {
    if(formType === 'Schedule' ) {
        hlpSch.toRaw(changedData, TASK_ADDITIONAL_PARAMS.Schedule)
    }
    else if(formType==='Main') {
        TASK_ADDITIONAL_PARAMS.Settings.CollectInfoAboutOfflineDevices = changedData.Form_DeviceRuleGenerator_Common.CollectInfoAboutOfflineDevices;
        TASK_ADDITIONAL_PARAMS.Settings.UseHostInfoInFileName = changedData.Form_DeviceRuleGenerator_Common.UseHostInfoInFileName;
        TASK_ADDITIONAL_PARAMS.Settings.ExportGeneratedRulesToFile = changedData.Form_DeviceRuleGenerator_Common.ExportGeneratedRulesToFile;
//        Object.assign(TASK_ADDITIONAL_PARAMS.Settings, lo.pick(changedData.Form_DeviceRuleGenerator_Common, formValues));
    }
}

module.exports = {
    toView,
    toRaw
};
