const hlpSch = require('./TaskScheduleHelper.js');
const hlpInstallKey = require('../../utils/install_key.js');

function toView (TASK_ADDITIONAL_PARAMS, formType, bIsHosted) {
    if(formType === 'Schedule' ) {
        return hlpSch.toView(TASK_ADDITIONAL_PARAMS.Schedule);
    }
    else if(formType=== 'Main' ){
        const data = { Form_AddKey: {
                ... hlpInstallKey.toView(TASK_ADDITIONAL_PARAMS),
                IsHostedMode: bIsHosted
            }
        }
        return data;
    }
    return {};
}

function toRaw(TASK_ADDITIONAL_PARAMS, changedData, formType) {
    if(formType === 'Schedule' ) {
        hlpSch.toRaw(changedData, TASK_ADDITIONAL_PARAMS.Schedule);
    }
    else if(formType=== 'Main' ){
        TASK_ADDITIONAL_PARAMS = hlpInstallKey.toRow(changedData, TASK_ADDITIONAL_PARAMS);
    }
}

module.exports = {
    toView,
    toRaw
}
