const hlpSch = require('./TaskScheduleHelper.js');
const utilsOds = require('../../utils/ods.js');

function toView (TASK_ADDITIONAL_PARAMS, formType) {
    if(formType === 'Schedule' ) {
        return hlpSch.toView(TASK_ADDITIONAL_PARAMS.Schedule, true);
    }
    else if(formType === 'Main'){
        return utilsOds.toFormsOnDemand(TASK_ADDITIONAL_PARAMS.Settings);
    }
    return {};
}

function toRaw(TASK_ADDITIONAL_PARAMS, changedData, formType) {
    if(formType === 'Schedule' ) {
        hlpSch.toRaw(changedData, TASK_ADDITIONAL_PARAMS.Schedule);
    }
    else if(formType==='Main') {
        Object.assign(TASK_ADDITIONAL_PARAMS.Settings, utilsOds.fromFormsOnDemand(changedData, TASK_ADDITIONAL_PARAMS.Settings));
    }
}

module.exports = {
    toView,
    toRaw
};
