const ComponentData = {
    // FileMonitor:
    1:{ key:'FileMonitorEventsStoreSettings',
        severity:4,
        useCustom:false,
        events:[
            {eventId:8194,severity:1,log:true,wel:true},
            {eventId:8202,severity:1,log:true,wel:true},
            {eventId:8200,severity:1,log:true,wel:true},
            {eventId:8197,severity:1,log:true,wel:true},
            {eventId:8210,severity:1,log:true,wel:true},
            {eventId:8449,severity:1,log:true,wel:true},
            {eventId:8239,severity:1,log:true,wel:true},
            {eventId:8196,severity:2,log:true,wel:false},
            {eventId:8204,severity:2,log:true,wel:true},
            {eventId:8206,severity:2,log:true,wel:true},
            {eventId:8195,severity:4,log:true,wel:false},
            {eventId:8199,severity:4,log:true,wel:false},
            {eventId:8201,severity:4,log:true,wel:false},
            {eventId:8203,severity:4,log:true,wel:false},
            {eventId:8205,severity:4,log:true,wel:false},
            {eventId:8211,severity:4,log:true,wel:false},
            {eventId:8209,severity:4,log:true,wel:false} ]
    },
    // Ksn
    2:{ key:'KsnServiceEventsStoreSettings',
        severity:4,
        useCustom:false,
        events: [
            {eventId:8260,severity:1,log:true,wel:true},
            {eventId:8194,severity:1,log:true,wel:true},
            {eventId:8200,severity:1,log:true,wel:true},
            {eventId:8210,severity:1,log:true,wel:true},
            {eventId:8449,severity:1,log:true,wel:true},
            {eventId:8262,severity:2,log:true,wel:true},
            {eventId:8206,severity:2,log:true,wel:true},
            {eventId:8261,severity:4,log:true,wel:false},
            {eventId:8258,severity:4,log:true,wel:false},
            {eventId:8199,severity:4,log:true,wel:false},
            {eventId:8205,severity:4,log:true,wel:false},
            {eventId:8271,severity:4,log:true,wel:false} ]
    },
/* ScriptChecker
    3:{ key: 'SCEventsStoreSettings',
        severity:4,
        useCustom: false,
        events: [
            {eventId: 8194, severity: 1, log: true, wel: true},
            {eventId: 8449, severity: 1, log: true, wel: true},
            {eventId: 8210, severity: 1, log: true, wel: false},
            {eventId: 8239, severity: 1, log: true, wel: false},
            {eventId: 8196, severity: 2, log: true, wel: true},
            {eventId: 8195, severity: 4, log: true, wel: false},
            {eventId: 8214, severity: 4, log: true, wel: false},
            {eventId: 8213, severity: 4, log: true, wel: false}]
    },
*/
    // AntiCryptor
    5:{ key: 'AntiCryptorEventsStoreSettings',
        severity:4,
        useCustom: false,
        events: [
            {eventId:8194,severity:1,log:true,wel:true},
            {eventId:8210,severity:1,log:true,wel:true},
            {eventId:8449,severity:1,log:true,wel:true} ]
    },
/* AntiCryptorNas
    6:{ key: 'NetAppAntiCryptorEventsStoreSettings',
        severity:4,
        useCustom: false,
        events: [
            {eventId:8993,severity:1,log:true,wel:true},
            {eventId:8194,severity:1,log:true,wel:true},
            {eventId:8210,severity:1,log:true,wel:true},
            {eventId:8449,severity:1,log:true,wel:true},
            {eventId:8277,severity:2,log:true,wel:false},
            {eventId:8992,severity:4,log:true,wel:true} ]
    },
*/
    // PEP
    7:{ key: 'ApplicationControlEventsStoreSettings',
        severity:4,
        useCustom: false,
        events: [
            {eventId:8264,severity:1,log:true,wel:true},
            {eventId:8269,severity:1,log:true,wel:true},
            {eventId:8272,severity:1,log:true,wel:true},
            {eventId:8210,severity:1,log:true,wel:true},
            {eventId:8449,severity:1,log:true,wel:true},
            {eventId:8267,severity:2,log:true,wel:true},
            {eventId:8283,severity:4,log:true,wel:false},
            {eventId:8263,severity:4,log:true,wel:false},
            {eventId:8268,severity:4,log:true,wel:false},
            {eventId:8266,severity:4,log:true,wel:false} ]
    },
    // RuleGen
    8:{ key: 'RuleGeneratorEventsStoreSettings',
        severity:4,
        useCustom: false,
        events: [
            {eventId:8275,severity:1,log:true,wel:true},
            {eventId:8276,severity:1,log:true,wel:true},
            {eventId:8282,severity:1,log:true,wel:true},
            {eventId:8248,severity:1,log:true,wel:true},
            {eventId:8210,severity:1,log:true,wel:true},
            {eventId:8449,severity:1,log:true,wel:true},
            {eventId:8274,severity:2,log:true,wel:true},
            {eventId:8273,severity:4,log:true,wel:false}]
    },
    // DevControl
    9:{ key: 'DeviceControlEventsStoreSettings',
        severity:4,
        useCustom: false,
        events: [
            {eventId:8295,severity:1,log:true,wel:false},
            {eventId:8210,severity:1,log:true,wel:true},
            {eventId:8449,severity:1,log:true,wel:true},
            {eventId:8289,severity:1,log:true,wel:true},
            {eventId:8291,severity:2,log:true,wel:true},
            {eventId:8290,severity:4,log:true,wel:false},
            {eventId:8292,severity:4,log:true,wel:false},
            {eventId:8293,severity:4,log:true,wel:false},
            {eventId:8288,severity:4,log:true,wel:false},
            {eventId:8297,severity:4,log:true,wel:false} ]
    },
    // DCRuleGen
    10:{key: 'DeviceRuleGeneratorEventsStoreSettings',
        severity:4,
        useCustom: false,
        events: [
            {eventId:8296,severity:1,log:true,wel:true},
            {eventId:8275,severity:1,log:true,wel:true},
            {eventId:8276,severity:1,log:true,wel:true},
            {eventId:8295,severity:1,log:true,wel:true},
            {eventId:8210,severity:1,log:true,wel:true},
            {eventId:8449,severity:1,log:true,wel:true},
            {eventId:8294,severity:4,log:true,wel:false}]
    },
/* NetApp
    11:{key: 'NetAppMonitorEventsStoreSettings',
        severity:4,
        useCustom: false,
        events: [
            {eventId:8255,severity:1,log:true,wel:true},
            {eventId:8194,severity:1,log:true,wel:true},
            {eventId:8253,severity:1,log:true,wel:true},
            {eventId:8202,severity:1,log:true,wel:true},
            {eventId:8200,severity:1,log:true,wel:true},
            {eventId:8197,severity:1,log:true,wel:true},
            {eventId:8449,severity:1,log:true,wel:true},
            {eventId:8210,severity:1,log:true,wel:true},
            {eventId:8239,severity:1,log:true,wel:true},
            {eventId:8246,severity:1,log:true,wel:true},
            {eventId:8247,severity:1,log:true,wel:true},
            {eventId:8249,severity:1,log:true,wel:true},
            {eventId:8250,severity:1,log:true,wel:true},
            {eventId:8251,severity:1,log:true,wel:true},
            {eventId:8196,severity:2,log:true,wel:false},
            {eventId:8252,severity:2,log:true,wel:false},
            {eventId:8204,severity:2,log:true,wel:true},
            {eventId:8206,severity:2,log:true,wel:true},
            {eventId:8256,severity:2,log:true,wel:false},
            {eventId:8257,severity:2,log:true,wel:false},
            {eventId:8248,severity:4,log:true,wel:false},
            {eventId:8254,severity:4,log:true,wel:false},
            {eventId:8211,severity:4,log:true,wel:false},
            {eventId:8209,severity:4,log:true,wel:false},
            {eventId:8201,severity:4,log:true,wel:false},
            {eventId:8199,severity:4,log:true,wel:false},
            {eventId:8205,severity:4,log:true,wel:false},
            {eventId:8203,severity:4,log:true,wel:false},
            {eventId:8195,severity:4,log:true,wel:false}]
    },
*/
/* ICAP
    12:{key: 'ICAPSCannerEventsStoreSettings',
        severity:4,
        useCustom: false,
        events: [
            {eventId:8214,severity:1,log:true,wel:true},
            {eventId:8194,severity:1,log:true,wel:true},
            {eventId:8202,severity:1,log:true,wel:true},
            {eventId:8200,severity:1,log:true,wel:true},
            {eventId:8197,severity:1,log:true,wel:true},
            {eventId:8210,severity:1,log:true,wel:true},
            {eventId:8449,severity:1,log:true,wel:true},
            {eventId:8448,severity:1,log:true,wel:true},
            {eventId:8239,severity:1,log:true,wel:true},
            {eventId:8196,severity:2,log:true,wel:false},
            {eventId:8206,severity:2,log:true,wel:true},
            {eventId:8204,severity:2,log:true,wel:true},
            {eventId:8201,severity:4,log:true,wel:false},
            {eventId:8199,severity:4,log:true,wel:false},
            {eventId:8205,severity:4,log:true,wel:false},
            {eventId:8203,severity:4,log:true,wel:false},
            {eventId:8213,severity:4,log:true,wel:false},
            {eventId:8195,severity:4,log:true,wel:false},
            {eventId:8211,severity:4,log:true,wel:false},
            {eventId:8209,severity:4,log:true,wel:false} ]
    },
*/
    // Firewall
    13:{key: 'FirewallEventsStoreSettings',
        severity:4,
        useCustom: false,
        events: [
            {eventId:8961,severity:1,log:true,wel:true},
            {eventId:8210,severity:1,log:true,wel:true},
            {eventId:8449,severity:1,log:true,wel:true},
            {eventId:8960,severity:4,log:true,wel:false}]
    },
    // Fim
    15:{key: 'FileIntegrityMonitorEventsStoreSettings',
        severity:4,
        useCustom: false,
        events: [
            {eventId:8481,severity:1,log:true,wel:true},
            {eventId:8482,severity:1,log:true,wel:true},
            {eventId:8210,severity:1,log:true,wel:true},
            {eventId:8449,severity:1,log:true,wel:true},
            {eventId:8483,severity:2,log:true,wel:false},
            {eventId:8480,severity:4,log:true,wel:false}]
    },
    // LogInspector
    16:{key: 'LogInspectorEventsStoreSettings',
        severity:4,
        useCustom: false,
        events: [
            {eventId:8512,severity:1,log:true,wel:true},
            {eventId:8513,severity:1,log:true,wel:true},
            {eventId:8514,severity:1,log:true,wel:true},
            {eventId:8515,severity:1,log:true,wel:true},
            {eventId:8516,severity:1,log:true,wel:true},
            {eventId:8517,severity:1,log:true,wel:true},
            {eventId:8519,severity:1,log:true,wel:true},
            {eventId:8520,severity:1,log:true,wel:true},
            {eventId:8210,severity:1,log:true,wel:true},
            {eventId:8449,severity:1,log:true,wel:true} ]
    },
    // AntiExploit
    17:{key: 'ExploitBlockerEventsStoreSettings',
        severity:4,
        useCustom: false,
        events: [
            {eventId:16385,severity:1,log:true,wel:true},
            {eventId:16386,severity:1,log:true,wel:true} ]
    },
    // OnDemand
    18:{key: 'OdsEventsStoreSettings',
        useCustom: false,
        events: [
            {eventId:8194,severity:1,log:true,wel:true},
            {eventId:8202,severity:1,log:true,wel:true},
            {eventId:8200,severity:1,log:true,wel:true},
            {eventId:8197,severity:1,log:true,wel:true},
            {eventId:8210,severity:1,log:true,wel:true},
            {eventId:8449,severity:1,log:true,wel:true},
            {eventId:8448,severity:1,log:true,wel:false},
            {eventId:8239,severity:1,log:true,wel:false},
            {eventId:8217,severity:1,log:true,wel:true},
            {eventId:8196,severity:2,log:true,wel:false},
            {eventId:8206,severity:2,log:true,wel:true},
            {eventId:8204,severity:2,log:true,wel:true},
            {eventId:8201,severity:4,log:true,wel:false},
            {eventId:8199,severity:4,log:true,wel:false},
            {eventId:8205,severity:4,log:true,wel:false},
            {eventId:8203,severity:4,log:true,wel:false},
            {eventId:8195,severity:4,log:true,wel:false},
            {eventId:8211,severity:4,log:true,wel:false},
            {eventId:8209,severity:4,log:true,wel:false},
            {eventId:8216,severity:4,log:true,wel:false} ]
    },
    // Updates
    19:{key: 'UpdateEventsStoreSettings',
        severity:4,
        useCustom: false,
        events: [
            {eventId:8210,severity:1,log:true,wel:true},
            {eventId:8231,severity:1,log:true,wel:true},
            {eventId:8236,severity:1,log:true,wel:false},
            {eventId:8237,severity:1,log:true,wel:true},
            {eventId:8239,severity:1,log:true,wel:true},
            {eventId:8245,severity:1,log:true,wel:true},
            {eventId:8448,severity:1,log:true,wel:true},
            {eventId:8449,severity:1,log:true,wel:true},
            {eventId:8225,severity:2,log:true,wel:false},
            {eventId:8227,severity:2,log:true,wel:false},
            {eventId:8229,severity:2,log:true,wel:false},
            {eventId:8235,severity:2,log:true,wel:false},
            {eventId:8240,severity:2,log:true,wel:false},
            {eventId:8241,severity:2,log:true,wel:false},
            {eventId:8243,severity:2,log:true,wel:false},
            {eventId:8224,severity:4,log:true,wel:false},
            {eventId:8226,severity:4,log:true,wel:false},
            {eventId:8228,severity:4,log:true,wel:false},
            {eventId:8230,severity:4,log:true,wel:false},
            {eventId:8234,severity:4,log:true,wel:false},
            {eventId:8238,severity:4,log:true,wel:false},
            {eventId:8244,severity:4,log:true,wel:false} ]
    },
    // Quarantine
    20:{key: 'QuarantineEventsStoreSettings',
        severity:4,
        useCustom: false,
        events: [
            {eventId:4135,severity:1,log:true,wel:true},
            {eventId:4130,severity:2,log:true,wel:false},
            {eventId:4132,severity:2,log:true,wel:false},
            {eventId:4134,severity:2,log:true,wel:false},
            {eventId:4136,severity:2,log:true,wel:true},
            {eventId:4138,severity:2,log:true,wel:false},
            {eventId:4128,severity:4,log:true,wel:false},
            {eventId:4129,severity:4,log:true,wel:false},
            {eventId:4131,severity:4,log:true,wel:false},
            {eventId:4133,severity:4,log:true,wel:false},
            {eventId:4137,severity:4,log:true,wel:false}]
    },
    // Backup
    21:{key: 'BackupEventsStoreSettings',
        severity:4,
        useCustom: false,
        events: [
            {eventId:4127,severity:1,log:true,wel:true},
            {eventId:4143,severity:1,log:true,wel:true},
            {eventId:4140,severity:2,log:true,wel:false},
            {eventId:4142,severity:2,log:true,wel:false},
            {eventId:4144,severity:2,log:true,wel:true},
            {eventId:4146,severity:2,log:true,wel:false},
            {eventId:4141,severity:4,log:true,wel:false},
            {eventId:4139,severity:4,log:true,wel:false},
            {eventId:4145,severity:4,log:true,wel:false}]
    },
/* TrafficSecurity
    24:{key: 'WebTMEventsStoreSettings',
        severity:4,
        useCustom: false,
        events: [
            {eventId:8194,severity:1,log:true,wel:true},
            {eventId:8197,severity:1,log:true,wel:true},
            {eventId:8222,severity:1,log:true,wel:true},
            {eventId:8221,severity:1,log:true,wel:true},
            {eventId:8210,severity:1,log:true,wel:true},
            {eventId:8449,severity:1,log:true,wel:true},
            {eventId:8239,severity:1,log:true,wel:true},
            {eventId:8196,severity:2,log:true,wel:false},
            {eventId:8784,severity:2,log:true,wel:true},
            {eventId:8195,severity:4,log:true,wel:false},
            {eventId:8211,severity:4,log:true,wel:false},
            {eventId:8209,severity:4,log:true,wel:false}]
    },
*/
    // CheckFim
    25:{key: 'CheckFilesIntegrityEventsStoreSettings',
        severity:4,
        useCustom: false,
        events: [
            {eventId:9057,severity:1,log:true,wel:true},
            {eventId:9058,severity:1,log:true,wel:true},
            {eventId:9059,severity:1,log:true,wel:true},
            {eventId:9060,severity:2,log:true,wel:true},
            {eventId:9056,severity:4,log:true,wel:false},
            {eventId:4224,severity:4,log:true,wel:false}]
    },
    // NetworkAttackBlocker
    26:{key: 'NetworkAttackBlockerEventsStoreSettings',
        severity:4,
        useCustom: false,
        events: [
            {eventId:8194,severity:1,log:true,wel:true},
            {eventId:8210,severity:1,log:true,wel:false},
            {eventId:8449,severity:1,log:true,wel:true}]
    },
    // RegistryAccessMonitor
    27:{key: 'RegistryAccessMonitorEventsStoreSettings',
        severity:4,
        useCustom: false,
        events: [
            {eventId:9089,severity:1,log:true,wel:true},
            {eventId:8210,severity:1,log:true,wel:true},
            {eventId:8449,severity:1,log:true,wel:true},
            {eventId:9088,severity:4,log:true,wel:false}
        ]
    }

}

function UpdateUiCustomEvent(customEvent, pcEvents) {
    customEvent.useCustom = pcEvents.UseCustomEvents.KLPRSS_Val;
    // replace EventSeverity_Info (3) => EventSeverity_OK (4)
    customEvent.severity = pcEvents.EventSeverity.KLPRSS_Val !== 3 ? pcEvents.EventSeverity.KLPRSS_Val : 4;
    if (customEvent.useCustom===false)
        return;
    for (let event of customEvent.events) {
        const found = pcEvents.CustomEvents.KLPRSS_Val.find((ev)=> {
            return ev.EventType.KLPRSS_Val === event.eventId;
        });
        if (found) {
            event.log = found.WriteToReports.KLPRSS_Val;
            event.wel = found.WriteToEventLog.KLPRSS_Val;
        }
    }
}

module.exports = {
    ComponentData,
    UpdateUiCustomEvent
}