//const base64js = require('base64-js');
const download = require('downloadjs');
const xml2js = require('xml2js');

const JSONtoXML = (json) => {
    try {
        const builder = new xml2js.Builder({ headless: true, renderOpts:{ pretty: true, indent:'', newline:''} });
        const rowXml = builder.buildObject(json);
        return rowXml.toString();
    } catch (error) {
        alert('JSONtoXML error = ' + error);
   //     console.error(error)
    }
    return ''
}

const ExportToXmlFile = (json, fileName) => {
    const xml = JSONtoXML(json);
    if(xml.length > 0 ){
        download(xml, fileName, "text/plain");
    }
}

module.exports = {
    ExportToXmlFile
}