const lo = require('lodash');
const hlp = require('../../../helpers');

const sections = ['BLPolicy'];
const formValues = ['EnableTrace','TraceFolder','TraceFileMaxSize','TraceSeverityLevel','TraceSubsystems',
    'UseTraceRotation','MaxTraceFilesToRotate','CreateCrashDump','CrashDumpFolder'];

function toView (policiesCache) {
    return hlp.customToView(policiesCache.BLPolicy.Policy.KLPRSS_Val, formValues);
}

function toRaw (changedData, policiesCache) {
    changedData.TraceSubsystems.KLPRSS_Val[0] = "*";
    Object.assign( policiesCache.BLPolicy.Policy.KLPRSS_Val, lo.pick(changedData, formValues));
}

module.exports = {
    sections,
    toView,
    toRaw
};
