const lo = require('lodash');
const hlp = require('../../../../helpers');

const sections = ['IncidentsPolicy'];
const formValues = ['IncidentOptions'];

function toView (policiesCache) {
    return hlp.customToView(policiesCache.IncidentsPolicy.Policy.KLPRSS_Val, formValues);
}

function toRaw (changedData, policiesCache) {
    Object.assign(policiesCache.IncidentsPolicy.Policy.KLPRSS_Val, lo.pick(changedData, formValues));
}

module.exports = {
    sections,
    toView,
    toRaw
};
