
const hostedExclusions = ['ICAPScannerPolicy', 'KscNfSection', 'NetAppAntiCryptor', 'NetAppMonitorPolicy'];
const businessSelectExclusions = ['DeviceControlPolicy', 'ApplicationControlPolicy', 'FileIntegrityMonitor', 'LogInspector','WebTrafficMonitorPolicy'];
const businessAdvancedExclusions = ['FileIntegrityMonitor', 'LogInspector'];
const businessEnterpriseExclusions = [];

function needToCreatePolicySection(bHostedMode, section){
    if(bHostedMode){
        if(hostedExclusions.includes(section)){
            return false;
        }
/*
        const kswsLicType = process.env.KswsLicType;
        if(kswsLicType==='2' || kswsLicType===2){
            return businessAdvancedExclusions.includes(section) ? false : true;
        }
        if(kswsLicType==='3' || kswsLicType===3){
            return businessEnterpriseExclusions.includes(section) ? false : true;
        }
        return businessSelectExclusions.includes(section) ? false : true;
*/
    }
    return true;
}

function defaultHostedNetworkLists(){
    return {
        "B_LIST_FLAG": {
            "KLPRSS_Mnd": false, "KLPRSS_Val": false
        },
        "CIP_LIST_FLAG": {
            "KLPRSS_Mnd": false, "KLPRSS_Val": false
        },
        "DEVICES_LIST_FLAG": {
            "KLPRSS_Mnd": false, "KLPRSS_Val": false
        },
        "Q_LIST_FLAG": {
            "KLPRSS_Mnd": false, "KLPRSS_Val": false
        },
        "TIF_LIST_FLAG": {
            "KLPRSS_Mnd": false, "KLPRSS_Val": false
        }
    };
}

module.exports = {
    needToCreatePolicySection,
    defaultHostedNetworkLists
}